## aff9381bbf60a15fb17262f46779973a4d8bee6c

=== Makefile ===
# Old-skool build tools.
#
# Targets (see each target for more information):
#   all: Build code.
#   check: Run tests.
#   test: Run tests.
#   clean: Clean up.

OUT_DIR = _output
GODEPS_PKG_DIR = Godeps/_workspace/pkg

export GOFLAGS

# Build code.
#
# Args:
#   WHAT: Directory names to build.  If any of these directories has a 'main'
#     package, the build will produce executable files under $(OUT_DIR)/go/bin.
#     If not specified, "everything" will be built.
#   GOFLAGS: Extra flags to pass to 'go' when building.
#
# Example:
#   make
#   make all
#   make all WHAT=cmd/kubelet GOFLAGS=-v
all:
	hack/build-go.sh $(WHAT)
.PHONY: all

# Build and run tests.
#
# Args:
#   WHAT: Directory names to test.  All *_test.go files under these
#     directories will be run.  If not specified, "everything" will be tested.
#   TESTS: Same as WHAT.
#   GOFLAGS: Extra flags to pass to 'go' when building.
#
# Example:
#   make check
#   make test
#   make check WHAT=pkg/kubelet GOFLAGS=-v
check test:
	hack/test-go.sh $(WHAT) $(TESTS)
.PHONY: check test

# Build and run integration tests.
#
# Example:
#   make test_integration
test_integration test_integ:
	hack/test-integration.sh
.PHONY: integration

# Build and run end-to-end tests.
#
# Example:
#   make test_e2e
test_e2e:
	hack/e2e-test.sh
.PHONY: test_e2e

# Remove all build artifacts.
#
# Example:
#   make clean
clean:
	build/make-clean.sh
	rm -rf $(OUT_DIR)
	rm -rf $(GODEPS_PKG_DIR)
.PHONY: clean

# Run 'go vet'.
#
# Args:
#   WHAT: Directory names to vet.  All *.go files under these
#     directories will be vetted.  If not specified, "everything" will be
#     vetted.
#   TESTS: Same as WHAT.
#   GOFLAGS: Extra flags to pass to 'go' when building.
#
# Example:
#   make vet
#   make vet WHAT=pkg/kubelet
vet:
	hack/vet-go.sh $(WHAT) $(TESTS)
.PHONY: vet

# Build a release
#
# Example:
#   make release
release:
	build/release.sh
.PHONY: release

# Build a release, but skip tests
# 
# Example:
#   make release-skip-tests
release-skip-tests:
	KUBE_RELEASE_RUN_TESTS=n build/release.sh
.PHONY: release-skip-tests

=== contrib/logging/kibana-image/Makefile ===
build:	
	docker build -t kubernetes/kibana .

push:	
	docker push kubernetes/kibana

=== Godeps/_workspace/src/github.com/tonnerre/golang-pretty/debian/control ===
Source: golang-pretty
Section: devel
Priority: extra
Maintainer: Tonnerre Lombard <tonnerre@ancient-solutions.com>
Build-Depends: debhelper (>= 9), golang-go, dh-golang,
	       golang-text-dev
Standards-Version: 3.9.4
Homepage: https://github.com/kr/pretty/
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-pretty.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-pretty.git;a=summary

Package: golang-pretty-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-text-dev
Description: Pretty printing for go values
 Package pretty provides pretty-printing for Go values. This is useful
 during debugging, to avoid wrapping long output lines in the
 terminal.
 .
 It provides a function, Formatter, that can be used with any function
 that accepts a format string. It also provides convenience wrappers
 for functions in packages fmt and log.
